Bug 109774 - Border changes on tables with collapsed borders doesn't relayout table cells
Summary: Border changes on tables with collapsed borders doesn't relayout table cells
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Tony Chang
URL:
Keywords:
Depends on: 109639
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-13 17:15 PST by Tony Chang
Modified: 2013-02-19 13:19 PST (History)
8 users (show)

See Also:


Attachments
Patch (4.96 KB, patch)
2013-02-13 17:16 PST, Tony Chang
no flags Details | Formatted Diff | Diff
Patch (5.06 KB, patch)
2013-02-14 10:11 PST, Tony Chang
no flags Details | Formatted Diff | Diff
Patch (5.47 KB, patch)
2013-02-19 10:43 PST, Tony Chang
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tony Chang 2013-02-13 17:15:27 PST
Border changes on tables with collapsed borders doesn't relayout table cells
Comment 1 Tony Chang 2013-02-13 17:16:38 PST
Created attachment 188231 [details]
Patch
Comment 2 WebKit Review Bot 2013-02-13 19:05:53 PST
Comment on attachment 188231 [details]
Patch

Attachment 188231 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/16530431

New failing tests:
fast/table/border-collapsing/cached-change-row-border-width.html
Comment 3 Tony Chang 2013-02-13 19:11:50 PST
(In reply to comment #2)
> (From update of attachment 188231 [details])
> Attachment 188231 [details] did not pass chromium-ews (chromium-xvfb):
> Output: http://queues.webkit.org/results/16530431
> 
> New failing tests:
> fast/table/border-collapsing/cached-change-row-border-width.html

Ah right, this depends on the fix in bug 109639.
Comment 4 Tony Chang 2013-02-14 10:11:57 PST
Created attachment 188376 [details]
Patch
Comment 5 Build Bot 2013-02-15 04:33:44 PST
Comment on attachment 188376 [details]
Patch

Attachment 188376 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/16590078

New failing tests:
fast/table/border-collapsing/cached-change-row-border-width.html
Comment 6 Tony Chang 2013-02-19 10:43:19 PST
Created attachment 189112 [details]
Patch
Comment 7 Dave Hyatt 2013-02-19 10:52:22 PST
Comment on attachment 189112 [details]
Patch

r=me
Comment 8 WebKit Review Bot 2013-02-19 13:19:41 PST
Comment on attachment 189112 [details]
Patch

Clearing flags on attachment: 189112

Committed r143377: <http://trac.webkit.org/changeset/143377>
Comment 9 WebKit Review Bot 2013-02-19 13:19:45 PST
All reviewed patches have been landed.  Closing bug.